package com.engine.xmgsecond.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2025/5/14 16:11
 * @Description:
 * @Version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KqFormatTotal {

    private Integer resourceId;

    private Integer absenteeism;

    /**
     * 下班漏签
     */
    private Integer forgotCheck;

    /**
     * 上班漏签
     */
    private Integer forgotbeginworkcheck;

    private Integer beLateMins;

    private Integer gravebeLateMins;

    private Integer leaveEearly;

    private Integer graveLeaveEarly;

    /**
     * 是否统计缺勤
     */
    private boolean isAbsence;

    /**
     * 缺勤天数
     */
    private double absenceDays;


    @Override
    public String toString() {
        return "KqFormatTotal{" +
                "resourceId=" + resourceId +
                ", absenteeism=" + absenteeism +
                ", forgotCheck=" + forgotCheck +
                ", beLateMins=" + beLateMins +
                ", gravebeLateMins=" + gravebeLateMins +
                ", leaveEearly=" + leaveEearly +
                ", graveLeaveEarly=" + graveLeaveEarly +
                ", isAbsence=" + isAbsence +
                ", absenceDays=" + absenceDays +
                '}';
    }
}
